module config.main;



import gedo.system.gameloop;
import gedo.system.scene;
import gedo.input.joystick;
import config.share;
import config.top;



int main(string[] args)
{
	auto gameloop = GameLoop.create("vsconfig", args);

	.config.share.config = new .gedo.file.config.Config("vs");
	scope(exit)
	{
		Joysticks().getConfig(.config.share.config);

		.config.share.config.save();
	}

	gameloop.isExtensionEnable = false;

	return gameloop.run({return cast(Scene)(new Top());});
}
